#!/usr/bin/perl -w
#
# Test for buffer overflow
#

use strict;
require Cwd;
require 'pltests.pl';

my $cwd = Cwd::getcwd();
my $LOG = "$cwd/test-log";
my $NAMAZU = pltests::binpath('namazu');

my $cmd;
my $result;

delete $ENV{'LANG'};
delete $ENV{'LANGUAGE'};
$ENV{'LC_ALL'} = 'C';
delete $ENV{'LC_MESSAGE'};
delete $ENV{'NAMAZURC'};

pltests::putline($LOG, "  *** starting $0");

my $INDEX = `perl -e \"print \\\"x\\\"x3000\"`;

$cmd = "$NAMAZU nonexistant $INDEX";
pltests::putline($LOG, $cmd);
$result = `$cmd`;
unless (defined $result) {
    exit 1;
}
if ($result !~ /^No document match/m) {
    exit 1;
}

exit 0;

